%define upstream_name    Treemap
%define upstream_version 0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Make a Treemap, using the squarified treemap algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Imager)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

%description
This base class is not meant to be directly instantiated. Subclasses of
Treemap which implement specific Treemap layout algorithms should be
instantiated instead. See the SEE ALSO section below for a list.

Traditional representations of hiarchal information trees are very space
consuming. There is a large amount of redundant information and padding to
convey the tree structure.

Treemaps are representations of trees that use space-filling nested
rectangles to convey the tree structure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.200.0-11.mga9
+ Revision: 1837523
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-10.mga8
+ Revision: 1497916
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.200.0-9.mga7
+ Revision: 1272397
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-8.mga6
+ Revision: 1035417
- Rebuild for perl 5.22.2

* Sun Feb 28 2016 tv <tv> 0.200.0-7.mga6
+ Revision: 980280
- rebuild with fixed deps
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 739810
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 686749
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 515776
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 374486
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 163747
- imported package perl-Treemap


* Sat Nov 05 2011 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
